NetApp Elastic Snapshot Policy under an Elastic Account
Uses Azure REST API version 2025-09-01-preview.
Example Usage
ElasticSnapshotPolicies_CreateOrUpdate
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AzureNative = Pulumi.AzureNative;
return await Deployment.RunAsync(() =>
{
var elasticSnapshotPolicy = new AzureNative.NetApp.ElasticSnapshotPolicy("elasticSnapshotPolicy", new()
{
AccountName = "account1",
Location = "eastus",
Properties = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyPropertiesArgs
{
DailySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyDailyScheduleArgs
{
Hour = 14,
Minute = 30,
SnapshotsToKeep = 4,
},
HourlySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyHourlyScheduleArgs
{
Minute = 50,
SnapshotsToKeep = 2,
},
MonthlySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyMonthlyScheduleArgs
{
DaysOfMonth = new[]
{
10,
11,
12,
},
Hour = 14,
Minute = 15,
SnapshotsToKeep = 5,
},
PolicyStatus = AzureNative.NetApp.PolicyStatus.Enabled,
WeeklySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyWeeklyScheduleArgs
{
Days = new[]
{
AzureNative.NetApp.DayOfWeek.Wednesday,
},
Hour = 14,
Minute = 45,
SnapshotsToKeep = 3,
},
},
ResourceGroupName = "myRG",
SnapshotPolicyName = "snapshotPolicyName",
});
});
package main
import (
netapp "github.com/pulumi/pulumi-azure-native-sdk/netapp/v3"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := netapp.NewElasticSnapshotPolicy(ctx, "elasticSnapshotPolicy", &netapp.ElasticSnapshotPolicyArgs{
AccountName: pulumi.String("account1"),
Location: pulumi.String("eastus"),
Properties: &netapp.ElasticSnapshotPolicyPropertiesArgs{
DailySchedule: &netapp.ElasticSnapshotPolicyDailyScheduleArgs{
Hour: pulumi.Int(14),
Minute: pulumi.Int(30),
SnapshotsToKeep: pulumi.Int(4),
},
HourlySchedule: &netapp.ElasticSnapshotPolicyHourlyScheduleArgs{
Minute: pulumi.Int(50),
SnapshotsToKeep: pulumi.Int(2),
},
MonthlySchedule: &netapp.ElasticSnapshotPolicyMonthlyScheduleArgs{
DaysOfMonth: pulumi.IntArray{
pulumi.Int(10),
pulumi.Int(11),
pulumi.Int(12),
},
Hour: pulumi.Int(14),
Minute: pulumi.Int(15),
SnapshotsToKeep: pulumi.Int(5),
},
PolicyStatus: pulumi.String(netapp.PolicyStatusEnabled),
WeeklySchedule: &netapp.ElasticSnapshotPolicyWeeklyScheduleArgs{
Days: pulumi.StringArray{
pulumi.String(netapp.DayOfWeekWednesday),
},
Hour: pulumi.Int(14),
Minute: pulumi.Int(45),
SnapshotsToKeep: pulumi.Int(3),
},
},
ResourceGroupName: pulumi.String("myRG"),
SnapshotPolicyName: pulumi.String("snapshotPolicyName"),
})
if err != nil {
return err
}
return nil
})
}
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.azurenative.netapp.ElasticSnapshotPolicy;
import com.pulumi.azurenative.netapp.ElasticSnapshotPolicyArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticSnapshotPolicyPropertiesArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticSnapshotPolicyDailyScheduleArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticSnapshotPolicyHourlyScheduleArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticSnapshotPolicyMonthlyScheduleArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticSnapshotPolicyWeeklyScheduleArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var elasticSnapshotPolicy = new ElasticSnapshotPolicy("elasticSnapshotPolicy", ElasticSnapshotPolicyArgs.builder()
.accountName("account1")
.location("eastus")
.properties(ElasticSnapshotPolicyPropertiesArgs.builder()
.dailySchedule(ElasticSnapshotPolicyDailyScheduleArgs.builder()
.hour(14)
.minute(30)
.snapshotsToKeep(4)
.build())
.hourlySchedule(ElasticSnapshotPolicyHourlyScheduleArgs.builder()
.minute(50)
.snapshotsToKeep(2)
.build())
.monthlySchedule(ElasticSnapshotPolicyMonthlyScheduleArgs.builder()
.daysOfMonth(
10,
11,
12)
.hour(14)
.minute(15)
.snapshotsToKeep(5)
.build())
.policyStatus("Enabled")
.weeklySchedule(ElasticSnapshotPolicyWeeklyScheduleArgs.builder()
.days("Wednesday")
.hour(14)
.minute(45)
.snapshotsToKeep(3)
.build())
.build())
.resourceGroupName("myRG")
.snapshotPolicyName("snapshotPolicyName")
.build());
}
}
import * as pulumi from "@pulumi/pulumi";
import * as azure_native from "@pulumi/azure-native";
const elasticSnapshotPolicy = new azure_native.netapp.ElasticSnapshotPolicy("elasticSnapshotPolicy", {
accountName: "account1",
location: "eastus",
properties: {
dailySchedule: {
hour: 14,
minute: 30,
snapshotsToKeep: 4,
},
hourlySchedule: {
minute: 50,
snapshotsToKeep: 2,
},
monthlySchedule: {
daysOfMonth: [
10,
11,
12,
],
hour: 14,
minute: 15,
snapshotsToKeep: 5,
},
policyStatus: azure_native.netapp.PolicyStatus.Enabled,
weeklySchedule: {
days: [azure_native.netapp.DayOfWeek.Wednesday],
hour: 14,
minute: 45,
snapshotsToKeep: 3,
},
},
resourceGroupName: "myRG",
snapshotPolicyName: "snapshotPolicyName",
});
import pulumi
import pulumi_azure_native as azure_native
elastic_snapshot_policy = azure_native.netapp.ElasticSnapshotPolicy("elasticSnapshotPolicy",
account_name="account1",
location="eastus",
properties={
"daily_schedule": {
"hour": 14,
"minute": 30,
"snapshots_to_keep": 4,
},
"hourly_schedule": {
"minute": 50,
"snapshots_to_keep": 2,
},
"monthly_schedule": {
"days_of_month": [
10,
11,
12,
],
"hour": 14,
"minute": 15,
"snapshots_to_keep": 5,
},
"policy_status": azure_native.netapp.PolicyStatus.ENABLED,
"weekly_schedule": {
"days": [azure_native.netapp.DayOfWeek.WEDNESDAY],
"hour": 14,
"minute": 45,
"snapshots_to_keep": 3,
},
},
resource_group_name="myRG",
snapshot_policy_name="snapshotPolicyName")
resources:
elasticSnapshotPolicy:
type: azure-native:netapp:ElasticSnapshotPolicy
properties:
accountName: account1
location: eastus
properties:
dailySchedule:
hour: 14
minute: 30
snapshotsToKeep: 4
hourlySchedule:
minute: 50
snapshotsToKeep: 2
monthlySchedule:
daysOfMonth:
- 10
- 11
- 12
hour: 14
minute: 15
snapshotsToKeep: 5
policyStatus: Enabled
weeklySchedule:
days:
- Wednesday
hour: 14
minute: 45
snapshotsToKeep: 3
resourceGroupName: myRG
snapshotPolicyName: snapshotPolicyName
Create ElasticSnapshotPolicy Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ElasticSnapshotPolicy(name: string, args: ElasticSnapshotPolicyArgs, opts?: CustomResourceOptions);@overload
def ElasticSnapshotPolicy(resource_name: str,
args: ElasticSnapshotPolicyArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ElasticSnapshotPolicy(resource_name: str,
opts: Optional[ResourceOptions] = None,
account_name: Optional[str] = None,
resource_group_name: Optional[str] = None,
location: Optional[str] = None,
properties: Optional[ElasticSnapshotPolicyPropertiesArgs] = None,
snapshot_policy_name: Optional[str] = None,
tags: Optional[Mapping[str, str]] = None)func NewElasticSnapshotPolicy(ctx *Context, name string, args ElasticSnapshotPolicyArgs, opts ...ResourceOption) (*ElasticSnapshotPolicy, error)public ElasticSnapshotPolicy(string name, ElasticSnapshotPolicyArgs args, CustomResourceOptions? opts = null)
public ElasticSnapshotPolicy(String name, ElasticSnapshotPolicyArgs args)
public ElasticSnapshotPolicy(String name, ElasticSnapshotPolicyArgs args, CustomResourceOptions options)
type: azure-native:netapp:ElasticSnapshotPolicy
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args ElasticSnapshotPolicyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ElasticSnapshotPolicyArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ElasticSnapshotPolicyArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ElasticSnapshotPolicyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ElasticSnapshotPolicyArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var elasticSnapshotPolicyResource = new AzureNative.NetApp.ElasticSnapshotPolicy("elasticSnapshotPolicyResource", new()
{
AccountName = "string",
ResourceGroupName = "string",
Location = "string",
Properties = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyPropertiesArgs
{
DailySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyDailyScheduleArgs
{
Hour = 0,
Minute = 0,
SnapshotsToKeep = 0,
},
HourlySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyHourlyScheduleArgs
{
Minute = 0,
SnapshotsToKeep = 0,
},
MonthlySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyMonthlyScheduleArgs
{
DaysOfMonth = new[]
{
0,
},
Hour = 0,
Minute = 0,
SnapshotsToKeep = 0,
},
PolicyStatus = "string",
WeeklySchedule = new AzureNative.NetApp.Inputs.ElasticSnapshotPolicyWeeklyScheduleArgs
{
Days = new[]
{
"string",
},
Hour = 0,
Minute = 0,
SnapshotsToKeep = 0,
},
},
SnapshotPolicyName = "string",
Tags =
{
{ "string", "string" },
},
});
example, err := netapp.NewElasticSnapshotPolicy(ctx, "elasticSnapshotPolicyResource", &netapp.ElasticSnapshotPolicyArgs{
AccountName: pulumi.String("string"),
ResourceGroupName: pulumi.String("string"),
Location: pulumi.String("string"),
Properties: &netapp.ElasticSnapshotPolicyPropertiesArgs{
DailySchedule: &netapp.ElasticSnapshotPolicyDailyScheduleArgs{
Hour: pulumi.Int(0),
Minute: pulumi.Int(0),
SnapshotsToKeep: pulumi.Int(0),
},
HourlySchedule: &netapp.ElasticSnapshotPolicyHourlyScheduleArgs{
Minute: pulumi.Int(0),
SnapshotsToKeep: pulumi.Int(0),
},
MonthlySchedule: &netapp.ElasticSnapshotPolicyMonthlyScheduleArgs{
DaysOfMonth: pulumi.IntArray{
pulumi.Int(0),
},
Hour: pulumi.Int(0),
Minute: pulumi.Int(0),
SnapshotsToKeep: pulumi.Int(0),
},
PolicyStatus: pulumi.String("string"),
WeeklySchedule: &netapp.ElasticSnapshotPolicyWeeklyScheduleArgs{
Days: pulumi.StringArray{
pulumi.String("string"),
},
Hour: pulumi.Int(0),
Minute: pulumi.Int(0),
SnapshotsToKeep: pulumi.Int(0),
},
},
SnapshotPolicyName: pulumi.String("string"),
Tags: pulumi.StringMap{
"string": pulumi.String("string"),
},
})
var elasticSnapshotPolicyResource = new ElasticSnapshotPolicy("elasticSnapshotPolicyResource", ElasticSnapshotPolicyArgs.builder()
.accountName("string")
.resourceGroupName("string")
.location("string")
.properties(ElasticSnapshotPolicyPropertiesArgs.builder()
.dailySchedule(ElasticSnapshotPolicyDailyScheduleArgs.builder()
.hour(0)
.minute(0)
.snapshotsToKeep(0)
.build())
.hourlySchedule(ElasticSnapshotPolicyHourlyScheduleArgs.builder()
.minute(0)
.snapshotsToKeep(0)
.build())
.monthlySchedule(ElasticSnapshotPolicyMonthlyScheduleArgs.builder()
.daysOfMonth(0)
.hour(0)
.minute(0)
.snapshotsToKeep(0)
.build())
.policyStatus("string")
.weeklySchedule(ElasticSnapshotPolicyWeeklyScheduleArgs.builder()
.days("string")
.hour(0)
.minute(0)
.snapshotsToKeep(0)
.build())
.build())
.snapshotPolicyName("string")
.tags(Map.of("string", "string"))
.build());
elastic_snapshot_policy_resource = azure_native.netapp.ElasticSnapshotPolicy("elasticSnapshotPolicyResource",
account_name="string",
resource_group_name="string",
location="string",
properties={
"daily_schedule": {
"hour": 0,
"minute": 0,
"snapshots_to_keep": 0,
},
"hourly_schedule": {
"minute": 0,
"snapshots_to_keep": 0,
},
"monthly_schedule": {
"days_of_month": [0],
"hour": 0,
"minute": 0,
"snapshots_to_keep": 0,
},
"policy_status": "string",
"weekly_schedule": {
"days": ["string"],
"hour": 0,
"minute": 0,
"snapshots_to_keep": 0,
},
},
snapshot_policy_name="string",
tags={
"string": "string",
})
const elasticSnapshotPolicyResource = new azure_native.netapp.ElasticSnapshotPolicy("elasticSnapshotPolicyResource", {
accountName: "string",
resourceGroupName: "string",
location: "string",
properties: {
dailySchedule: {
hour: 0,
minute: 0,
snapshotsToKeep: 0,
},
hourlySchedule: {
minute: 0,
snapshotsToKeep: 0,
},
monthlySchedule: {
daysOfMonth: [0],
hour: 0,
minute: 0,
snapshotsToKeep: 0,
},
policyStatus: "string",
weeklySchedule: {
days: ["string"],
hour: 0,
minute: 0,
snapshotsToKeep: 0,
},
},
snapshotPolicyName: "string",
tags: {
string: "string",
},
});
type: azure-native:netapp:ElasticSnapshotPolicy
properties:
accountName: string
location: string
properties:
dailySchedule:
hour: 0
minute: 0
snapshotsToKeep: 0
hourlySchedule:
minute: 0
snapshotsToKeep: 0
monthlySchedule:
daysOfMonth:
- 0
hour: 0
minute: 0
snapshotsToKeep: 0
policyStatus: string
weeklySchedule:
days:
- string
hour: 0
minute: 0
snapshotsToKeep: 0
resourceGroupName: string
snapshotPolicyName: string
tags:
string: string
ElasticSnapshotPolicy Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ElasticSnapshotPolicy resource accepts the following input properties:
- Account
Name string - The name of the ElasticAccount
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Location string
- The geo-location where the resource lives
- Properties
Pulumi.
Azure Native. Net App. Inputs. Elastic Snapshot Policy Properties - The resource-specific properties for this resource.
- Snapshot
Policy stringName - The name of the ElasticSnapshotPolicy
- Dictionary<string, string>
- Resource tags.
- Account
Name string - The name of the ElasticAccount
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Location string
- The geo-location where the resource lives
- Properties
Elastic
Snapshot Policy Properties Args - The resource-specific properties for this resource.
- Snapshot
Policy stringName - The name of the ElasticSnapshotPolicy
- map[string]string
- Resource tags.
- account
Name String - The name of the ElasticAccount
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- location String
- The geo-location where the resource lives
- properties
Elastic
Snapshot Policy Properties - The resource-specific properties for this resource.
- snapshot
Policy StringName - The name of the ElasticSnapshotPolicy
- Map<String,String>
- Resource tags.
- account
Name string - The name of the ElasticAccount
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- location string
- The geo-location where the resource lives
- properties
Elastic
Snapshot Policy Properties - The resource-specific properties for this resource.
- snapshot
Policy stringName - The name of the ElasticSnapshotPolicy
- {[key: string]: string}
- Resource tags.
- account_
name str - The name of the ElasticAccount
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- location str
- The geo-location where the resource lives
- properties
Elastic
Snapshot Policy Properties Args - The resource-specific properties for this resource.
- snapshot_
policy_ strname - The name of the ElasticSnapshotPolicy
- Mapping[str, str]
- Resource tags.
- account
Name String - The name of the ElasticAccount
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- location String
- The geo-location where the resource lives
- properties Property Map
- The resource-specific properties for this resource.
- snapshot
Policy StringName - The name of the ElasticSnapshotPolicy
- Map<String>
- Resource tags.
Outputs
All input properties are implicitly available as output properties. Additionally, the ElasticSnapshotPolicy resource produces the following output properties:
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data Pulumi.Azure Native. Net App. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api stringVersion - The Azure API version of the resource.
- e
Tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ strversion - The Azure API version of the resource.
- e_
tag str - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- The name of the resource
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
Supporting Types
DayOfWeek, DayOfWeekArgs
- Sunday
SundayTake a snapshot each Sunday- Monday
MondayTake a snapshot each Monday- Tuesday
TuesdayTake a snapshot each Tuesday- Wednesday
WednesdayTake a snapshot each Wednesday- Thursday
ThursdayTake a snapshot each Thursday- Friday
FridayTake a snapshot each Friday- Saturday
SaturdayTake a snapshot each Saturday
- Day
Of Week Sunday SundayTake a snapshot each Sunday- Day
Of Week Monday MondayTake a snapshot each Monday- Day
Of Week Tuesday TuesdayTake a snapshot each Tuesday- Day
Of Week Wednesday WednesdayTake a snapshot each Wednesday- Day
Of Week Thursday ThursdayTake a snapshot each Thursday- Day
Of Week Friday FridayTake a snapshot each Friday- Day
Of Week Saturday SaturdayTake a snapshot each Saturday
- Sunday
SundayTake a snapshot each Sunday- Monday
MondayTake a snapshot each Monday- Tuesday
TuesdayTake a snapshot each Tuesday- Wednesday
WednesdayTake a snapshot each Wednesday- Thursday
ThursdayTake a snapshot each Thursday- Friday
FridayTake a snapshot each Friday- Saturday
SaturdayTake a snapshot each Saturday
- Sunday
SundayTake a snapshot each Sunday- Monday
MondayTake a snapshot each Monday- Tuesday
TuesdayTake a snapshot each Tuesday- Wednesday
WednesdayTake a snapshot each Wednesday- Thursday
ThursdayTake a snapshot each Thursday- Friday
FridayTake a snapshot each Friday- Saturday
SaturdayTake a snapshot each Saturday
- SUNDAY
SundayTake a snapshot each Sunday- MONDAY
MondayTake a snapshot each Monday- TUESDAY
TuesdayTake a snapshot each Tuesday- WEDNESDAY
WednesdayTake a snapshot each Wednesday- THURSDAY
ThursdayTake a snapshot each Thursday- FRIDAY
FridayTake a snapshot each Friday- SATURDAY
SaturdayTake a snapshot each Saturday
- "Sunday"
SundayTake a snapshot each Sunday- "Monday"
MondayTake a snapshot each Monday- "Tuesday"
TuesdayTake a snapshot each Tuesday- "Wednesday"
WednesdayTake a snapshot each Wednesday- "Thursday"
ThursdayTake a snapshot each Thursday- "Friday"
FridayTake a snapshot each Friday- "Saturday"
SaturdayTake a snapshot each Saturday
ElasticSnapshotPolicyDailySchedule, ElasticSnapshotPolicyDailyScheduleArgs
Daily Schedule properties used to create NetApp snapshot policy- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Daily snapshot count to keep
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Daily snapshot count to keep
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Daily snapshot count to keep
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Daily snapshot count to keep
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Daily snapshot count to keep
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Daily snapshot count to keep
ElasticSnapshotPolicyDailyScheduleResponse, ElasticSnapshotPolicyDailyScheduleResponseArgs
Daily Schedule properties used to create NetApp snapshot policy- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Daily snapshot count to keep
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Daily snapshot count to keep
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Daily snapshot count to keep
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Daily snapshot count to keep
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Daily snapshot count to keep
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Daily snapshot count to keep
ElasticSnapshotPolicyHourlySchedule, ElasticSnapshotPolicyHourlyScheduleArgs
Hourly Schedule properties used to create NetApp snapshot policy- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Hourly snapshot count to keep
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Hourly snapshot count to keep
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Hourly snapshot count to keep
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Hourly snapshot count to keep
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Hourly snapshot count to keep
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Hourly snapshot count to keep
ElasticSnapshotPolicyHourlyScheduleResponse, ElasticSnapshotPolicyHourlyScheduleResponseArgs
Hourly Schedule properties used to create NetApp snapshot policy- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Hourly snapshot count to keep
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Hourly snapshot count to keep
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Hourly snapshot count to keep
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Hourly snapshot count to keep
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Hourly snapshot count to keep
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Hourly snapshot count to keep
ElasticSnapshotPolicyMonthlySchedule, ElasticSnapshotPolicyMonthlyScheduleArgs
Monthly Schedule properties used to create NetApp snapshot policy- Days
Of List<int>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Monthly snapshot count to keep
- Days
Of []intMonth - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Monthly snapshot count to keep
- days
Of List<Integer>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Monthly snapshot count to keep
- days
Of number[]Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Monthly snapshot count to keep
- days_
of_ Sequence[int]month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Monthly snapshot count to keep
- days
Of List<Number>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Monthly snapshot count to keep
ElasticSnapshotPolicyMonthlyScheduleResponse, ElasticSnapshotPolicyMonthlyScheduleResponseArgs
Monthly Schedule properties used to create NetApp snapshot policy- Days
Of List<int>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Monthly snapshot count to keep
- Days
Of []intMonth - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Monthly snapshot count to keep
- days
Of List<Integer>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Monthly snapshot count to keep
- days
Of number[]Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Monthly snapshot count to keep
- days_
of_ Sequence[int]month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Monthly snapshot count to keep
- days
Of List<Number>Month - Indicates which days of the month snapshot (1-31) should be taken, accepts a list of integers
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Monthly snapshot count to keep
ElasticSnapshotPolicyProperties, ElasticSnapshotPolicyPropertiesArgs
Elastic Snapshot policy properties- Daily
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Daily Schedule - Schedule for daily snapshots
- Hourly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Hourly Schedule - Schedule for hourly snapshots
- Monthly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Monthly Schedule - Schedule for monthly snapshots
- Policy
Status string | Pulumi.Azure Native. Net App. Policy Status - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- Weekly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Weekly Schedule - Schedule for weekly snapshots
- Daily
Schedule ElasticSnapshot Policy Daily Schedule - Schedule for daily snapshots
- Hourly
Schedule ElasticSnapshot Policy Hourly Schedule - Schedule for hourly snapshots
- Monthly
Schedule ElasticSnapshot Policy Monthly Schedule - Schedule for monthly snapshots
- Policy
Status string | PolicyStatus - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- Weekly
Schedule ElasticSnapshot Policy Weekly Schedule - Schedule for weekly snapshots
- daily
Schedule ElasticSnapshot Policy Daily Schedule - Schedule for daily snapshots
- hourly
Schedule ElasticSnapshot Policy Hourly Schedule - Schedule for hourly snapshots
- monthly
Schedule ElasticSnapshot Policy Monthly Schedule - Schedule for monthly snapshots
- policy
Status String | PolicyStatus - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule ElasticSnapshot Policy Weekly Schedule - Schedule for weekly snapshots
- daily
Schedule ElasticSnapshot Policy Daily Schedule - Schedule for daily snapshots
- hourly
Schedule ElasticSnapshot Policy Hourly Schedule - Schedule for hourly snapshots
- monthly
Schedule ElasticSnapshot Policy Monthly Schedule - Schedule for monthly snapshots
- policy
Status string | PolicyStatus - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule ElasticSnapshot Policy Weekly Schedule - Schedule for weekly snapshots
- daily_
schedule ElasticSnapshot Policy Daily Schedule - Schedule for daily snapshots
- hourly_
schedule ElasticSnapshot Policy Hourly Schedule - Schedule for hourly snapshots
- monthly_
schedule ElasticSnapshot Policy Monthly Schedule - Schedule for monthly snapshots
- policy_
status str | PolicyStatus - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly_
schedule ElasticSnapshot Policy Weekly Schedule - Schedule for weekly snapshots
- daily
Schedule Property Map - Schedule for daily snapshots
- hourly
Schedule Property Map - Schedule for hourly snapshots
- monthly
Schedule Property Map - Schedule for monthly snapshots
- policy
Status String | "Enabled" | "Disabled" - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule Property Map - Schedule for weekly snapshots
ElasticSnapshotPolicyPropertiesResponse, ElasticSnapshotPolicyPropertiesResponseArgs
Elastic Snapshot policy properties- Provisioning
State string - Azure lifecycle management.
- Daily
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Daily Schedule Response - Schedule for daily snapshots
- Hourly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Hourly Schedule Response - Schedule for hourly snapshots
- Monthly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Monthly Schedule Response - Schedule for monthly snapshots
- Policy
Status string - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- Weekly
Schedule Pulumi.Azure Native. Net App. Inputs. Elastic Snapshot Policy Weekly Schedule Response - Schedule for weekly snapshots
- Provisioning
State string - Azure lifecycle management.
- Daily
Schedule ElasticSnapshot Policy Daily Schedule Response - Schedule for daily snapshots
- Hourly
Schedule ElasticSnapshot Policy Hourly Schedule Response - Schedule for hourly snapshots
- Monthly
Schedule ElasticSnapshot Policy Monthly Schedule Response - Schedule for monthly snapshots
- Policy
Status string - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- Weekly
Schedule ElasticSnapshot Policy Weekly Schedule Response - Schedule for weekly snapshots
- provisioning
State String - Azure lifecycle management.
- daily
Schedule ElasticSnapshot Policy Daily Schedule Response - Schedule for daily snapshots
- hourly
Schedule ElasticSnapshot Policy Hourly Schedule Response - Schedule for hourly snapshots
- monthly
Schedule ElasticSnapshot Policy Monthly Schedule Response - Schedule for monthly snapshots
- policy
Status String - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule ElasticSnapshot Policy Weekly Schedule Response - Schedule for weekly snapshots
- provisioning
State string - Azure lifecycle management.
- daily
Schedule ElasticSnapshot Policy Daily Schedule Response - Schedule for daily snapshots
- hourly
Schedule ElasticSnapshot Policy Hourly Schedule Response - Schedule for hourly snapshots
- monthly
Schedule ElasticSnapshot Policy Monthly Schedule Response - Schedule for monthly snapshots
- policy
Status string - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule ElasticSnapshot Policy Weekly Schedule Response - Schedule for weekly snapshots
- provisioning_
state str - Azure lifecycle management.
- daily_
schedule ElasticSnapshot Policy Daily Schedule Response - Schedule for daily snapshots
- hourly_
schedule ElasticSnapshot Policy Hourly Schedule Response - Schedule for hourly snapshots
- monthly_
schedule ElasticSnapshot Policy Monthly Schedule Response - Schedule for monthly snapshots
- policy_
status str - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly_
schedule ElasticSnapshot Policy Weekly Schedule Response - Schedule for weekly snapshots
- provisioning
State String - Azure lifecycle management.
- daily
Schedule Property Map - Schedule for daily snapshots
- hourly
Schedule Property Map - Schedule for hourly snapshots
- monthly
Schedule Property Map - Schedule for monthly snapshots
- policy
Status String - Configures if the snapshot policy is enabled on the volumes connected to the policy.
- weekly
Schedule Property Map - Schedule for weekly snapshots
ElasticSnapshotPolicyWeeklySchedule, ElasticSnapshotPolicyWeeklyScheduleArgs
Weekly Schedule properties used to create NetApp snapshot policy- Days
List<Union<string, Pulumi.
Azure Native. Net App. Day Of Week>> - Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Weekly snapshot count to keep
- Days []string
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Weekly snapshot count to keep
- days
List<Either<String,Day
Of Week>> - Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Weekly snapshot count to keep
- days
(string | Day
Of Week)[] - Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Weekly snapshot count to keep
- days
Sequence[Union[str, Day
Of Week]] - Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Weekly snapshot count to keep
- days List<String | "Sunday" | "Monday" | "Tuesday" | "Wednesday" | "Thursday" | "Friday" | "Saturday">
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Weekly snapshot count to keep
ElasticSnapshotPolicyWeeklyScheduleResponse, ElasticSnapshotPolicyWeeklyScheduleResponseArgs
Weekly Schedule properties used to create NetApp snapshot policy- Days List<string>
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Weekly snapshot count to keep
- Days []string
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- Hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- Minute int
- Indicates which minute snapshot should be taken
- Snapshots
To intKeep - Weekly snapshot count to keep
- days List<String>
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour Integer
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Integer
- Indicates which minute snapshot should be taken
- snapshots
To IntegerKeep - Weekly snapshot count to keep
- days string[]
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute number
- Indicates which minute snapshot should be taken
- snapshots
To numberKeep - Weekly snapshot count to keep
- days Sequence[str]
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour int
- Indicates which hour in UTC timezone a snapshot should be taken
- minute int
- Indicates which minute snapshot should be taken
- snapshots_
to_ intkeep - Weekly snapshot count to keep
- days List<String>
- Indicates which weekday(s) snapshot(s) should be taken, accepts a list of week day names in english
- hour Number
- Indicates which hour in UTC timezone a snapshot should be taken
- minute Number
- Indicates which minute snapshot should be taken
- snapshots
To NumberKeep - Weekly snapshot count to keep
PolicyStatus, PolicyStatusArgs
- Enabled
EnabledValue indicating the policy is enabled- Disabled
DisabledValue indicating the policy is disabled
- Policy
Status Enabled EnabledValue indicating the policy is enabled- Policy
Status Disabled DisabledValue indicating the policy is disabled
- Enabled
EnabledValue indicating the policy is enabled- Disabled
DisabledValue indicating the policy is disabled
- Enabled
EnabledValue indicating the policy is enabled- Disabled
DisabledValue indicating the policy is disabled
- ENABLED
EnabledValue indicating the policy is enabled- DISABLED
DisabledValue indicating the policy is disabled
- "Enabled"
EnabledValue indicating the policy is enabled- "Disabled"
DisabledValue indicating the policy is disabled
SystemDataResponse, SystemDataResponseArgs
Metadata pertaining to creation and last modification of the resource.- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:netapp:ElasticSnapshotPolicy account1/snapshotPolicy1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/elasticAccounts/{accountName}/elasticSnapshotPolicies/{snapshotPolicyName}
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
